package com.wordpress.kahshiu.SpotGame 
{
	import com.wordpress.kahshiu.utils.Vector2d;
	import flash.geom.Point;
	/**
	 * ...
	 * @author Shiu
	 */
	public class CirclePoint 
	{
		private var _x:Number;
		private var _y:Number;
		private var _min_radius:Number;
		private var _crossed:Boolean;
		private var _elapsed_angle:Number;
		private var _prev_vec:Vector2d;
		private var _curr_vec:Vector2d;
		
		public function CirclePoint(x:Number = 0, y:Number = 0, min_radius:Number = 10) 
		{
			_x = x; _y = y;
			_min_radius = min_radius;
			_crossed = false;
			
			_prev_vec = new Vector2d(0, 0);
			_curr_vec = new Vector2d(0, 0);
		}
		
		public function set elapsed_angle(value:Number):void 
		{
			_elapsed_angle = value;
		}
		
		public function get prev_vec():Vector2d 
		{
			return _prev_vec;
		}
		
		public function set prev_vec(value:Vector2d):void 
		{
			_prev_vec = value;
		}
		
		public function get curr_vec():Vector2d 
		{
			return _curr_vec;
		}
		
		public function set curr_vec(value:Vector2d):void 
		{
			_curr_vec = value;
		}
		
		public function get x():Number 
		{
			return _x;
		}
		
		public function set x(value:Number):void 
		{
			_x = value;
		}
		
		public function get y():Number 
		{
			return _y;
		}
		
		public function set y(value:Number):void 
		{
			_y = value;
		}
		
		public function get min_radius():Number 
		{
			return _min_radius;
		}
		
		public function get elapsed_angle():Number 
		{
			return _elapsed_angle;
		}
		
		public function get crossed():Boolean 
		{
			return _crossed;
		}
		
		public function set crossed(value:Boolean):void 
		{
			_crossed = value;
		}
		
		
		
	}

}