package com.wordpress.kahshiu.SpotGame 
{
	import com.wordpress.kahshiu.Shapes.Circle;
	import flash.display.Sprite;
	import flash.geom.Point;
	/**
	 * ...
	 * @author Shiu
	 */
	public class GroupMan extends Sprite
	{
		public var groups:Vector.<CircleGroup>;
		private var circles:Vector.<Vector.<Circle>>
		
		public function GroupMan() 
		{
			groups = new Vector.<CircleGroup>;
			circles = new Vector.<Vector.<Circle>>;
		}
		
		public function registerGroups(g:CircleGroup):void {
			groups.push(g);
		}
		
		public function start(mouse_X:Number, mouse_Y:Number):void {
			for (var i:int = 0; i < groups.length; i++) {
				groups[i].start(mouse_X, mouse_Y);
			}
		}
		
		public function update(mouse_X:Number, mouse_Y:Number):void {
			for (var i:int = 0; i < groups.length; i++) {
				groups[i].updateWith(mouse_X, mouse_Y);
			}
		}
		
		public function reset():void {
			for (var i:int = 0; i < groups.length; i++) {
				groups[i].reset();
			}
		}
		
		public function circled():Vector.<int> {
			var result:Vector.<int> = new Vector.<int>;
			
			for (var i:int = 0; i < groups.length; i++) {
				if (groups[i].validity()) {
					result.push(i);
				}
			}
			return result;
		}
		
		public function showCircles():void {
			
			if (circles.length == 0) {
				for (var k:int = 0; k < groups.length; k++) {
					var group_circles:Vector.<Circle> = new Vector.<Circle>;
					for (var l:int = 0; l < groups[k].group.length; l++) {
						var c:Circle = new Circle(); addChild(c);
						c.x = -100;
						c.y = -100;
						group_circles.push(c);
						
					}
					circles.push(group_circles);
				}
			}
			
			for (var i:int = 0; i < groups.length; i++) {
				for (var j:int = 0; j < groups[i].group.length; j++) {
					var loc:Point = groups[i].getLocation(j);
					circles[i][j].x = loc.x;
					circles[i][j].y = loc.y;
					circles[i][j].alpha = 0.5;
					circles[i][j].radius = groups[i].group[j].min_radius;
				}
			}
			
			
		}
		
		
			
			
		
		public function hideCircles():void {
			for (var i:int = 0; i < circles.length; i++) {
				for (var j:int = 0; j < circles[i].length; j++) 
				{
					circles[i][j].x = -100;
					circles[i][j].y = -100;
				}
			}
		}
	}

}